SDL_test_imageBlit.c File Reference
`#include "SDL_config.h"`
`#include "SDL_test.h"`
Include dependency graph for SDL_test_imageBlit.c:

Go to the source code of this file.

## Functions

SDL_Surface * | SDLTest_ImageBlit ()
| Returns the Blit test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitColor ()
| Returns the BlitColor test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitAlpha ()
| Returns the BlitAlpha test image as SDL_Surface. More...

## Variables

static const SDLTest_SurfaceImage_t | SDLTest_imageBlit
static const SDLTest_SurfaceImage_t | SDLTest_imageBlitColor
static const SDLTest_SurfaceImage_t | SDLTest_imageBlitAlpha

## Function Documentation

## SDLTest_ImageBlit()

SDL_Surface* SDLTest_ImageBlit | ( | void |  | ) |

Returns the Blit test image as SDL_Surface.

Definition at line 541 of file SDL_test_imageBlit.c.

References SDLTest_SurfaceImage_t::bytes_per_pixel, SDLTest_SurfaceImage_t::height, SDLTest_SurfaceImage_t::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom, and SDLTest_SurfaceImage_t::width.

Referenced by _surfaceSetUp(), render_testBlit(), and surface_testBlit().

{
SDL_Surface *surface = SDL_CreateRGBSurfaceFrom(
(void*)SDLTest_imageBlit.pixel_data,
SDLTest_imageBlit.width,
SDLTest_imageBlit.height,
SDLTest_imageBlit.bytes_per_pixel * 8,
SDLTest_imageBlit.width * SDLTest_imageBlit.bytes_per_pixel,
#if (SDL_BYTEORDER == SDL_BIG_ENDIAN)
0xff000000, /* Red bit mask. */
0x00ff0000, /* Green bit mask. */
0x0000ff00, /* Blue bit mask. */
0x000000ff /* Alpha bit mask. */
#else
0x000000ff, /* Red bit mask. */
0x0000ff00, /* Green bit mask. */
0x00ff0000, /* Blue bit mask. */
0xff000000 /* Alpha bit mask. */
#endif
);
return surface;
}
SDLTest_SurfaceImage_t::height
int height
Definition: SDL_test_images.h:52
SDLTest_SurfaceImage_t::width
int width
Definition: SDL_test_images.h:51
surface
EGLSurface surface
Definition: eglext.h:248
SDL_Surface
A collection of pixels used in software blitting.
Definition: SDL_surface.h:69
SDL_CreateRGBSurfaceFrom
#define SDL_CreateRGBSurfaceFrom
Definition: SDL_dynapi_overrides.h:445
SDLTest_SurfaceImage_t::pixel_data
const char * pixel_data
Definition: SDL_test_images.h:54
SDL_BIG_ENDIAN
#define SDL_BIG_ENDIAN
Definition: SDL_endian.h:38
SDLTest_SurfaceImage_t::bytes_per_pixel
unsigned int bytes_per_pixel
Definition: SDL_test_images.h:53
SDLTest_imageBlit
static const SDLTest_SurfaceImage_t SDLTest_imageBlit
Definition: SDL_test_imageBlit.c:27
SDL_BYTEORDER
#define SDL_BYTEORDER
Definition: SDL_config_pandora.h:37

## SDLTest_ImageBlitAlpha()

SDL_Surface* SDLTest_ImageBlitAlpha | ( | void |  | ) |

Returns the BlitAlpha test image as SDL_Surface.

Definition at line 1536 of file SDL_test_imageBlit.c.

References SDLTest_SurfaceImage_t::bytes_per_pixel, SDLTest_SurfaceImage_t::height, SDLTest_SurfaceImage_t::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom, and SDLTest_SurfaceImage_t::width.

Referenced by render_testBlitAlpha(), and surface_testBlitAlphaMod().

{
SDL_Surface *surface = SDL_CreateRGBSurfaceFrom(
(void*)SDLTest_imageBlitAlpha.pixel_data,
SDLTest_imageBlitAlpha.width,
SDLTest_imageBlitAlpha.height,
SDLTest_imageBlitAlpha.bytes_per_pixel * 8,
SDLTest_imageBlitAlpha.width * SDLTest_imageBlitAlpha.bytes_per_pixel,
#if (SDL_BYTEORDER == SDL_BIG_ENDIAN)
0xff000000, /* Red bit mask. */
0x00ff0000, /* Green bit mask. */
0x0000ff00, /* Blue bit mask. */
0x000000ff /* Alpha bit mask. */
#else
0x000000ff, /* Red bit mask. */
0x0000ff00, /* Green bit mask. */
0x00ff0000, /* Blue bit mask. */
0xff000000 /* Alpha bit mask. */
#endif
);
return surface;
}
SDLTest_imageBlitAlpha
static const SDLTest_SurfaceImage_t SDLTest_imageBlitAlpha
Definition: SDL_test_imageBlit.c:1047
SDLTest_SurfaceImage_t::height
int height
Definition: SDL_test_images.h:52
SDLTest_SurfaceImage_t::width
int width
Definition: SDL_test_images.h:51
surface
EGLSurface surface
Definition: eglext.h:248
SDL_Surface
A collection of pixels used in software blitting.
Definition: SDL_surface.h:69
SDL_CreateRGBSurfaceFrom
#define SDL_CreateRGBSurfaceFrom
Definition: SDL_dynapi_overrides.h:445
SDLTest_SurfaceImage_t::pixel_data
const char * pixel_data
Definition: SDL_test_images.h:54
SDL_BIG_ENDIAN
#define SDL_BIG_ENDIAN
Definition: SDL_endian.h:38
SDLTest_SurfaceImage_t::bytes_per_pixel
unsigned int bytes_per_pixel
Definition: SDL_test_images.h:53
SDL_BYTEORDER
#define SDL_BYTEORDER
Definition: SDL_config_pandora.h:37

## SDLTest_ImageBlitColor()

SDL_Surface* SDLTest_ImageBlitColor | ( | void |  | ) |

Returns the BlitColor test image as SDL_Surface.

Definition at line 1024 of file SDL_test_imageBlit.c.

References SDLTest_SurfaceImage_t::bytes_per_pixel, SDLTest_SurfaceImage_t::height, SDLTest_SurfaceImage_t::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom, and SDLTest_SurfaceImage_t::width.

Referenced by render_testBlitColor(), and surface_testBlitColorMod().

{
SDL_Surface *surface = SDL_CreateRGBSurfaceFrom(
(void*)SDLTest_imageBlitColor.pixel_data,
SDLTest_imageBlitColor.width,
SDLTest_imageBlitColor.height,
SDLTest_imageBlitColor.bytes_per_pixel * 8,
SDLTest_imageBlitColor.width * SDLTest_imageBlitColor.bytes_per_pixel,
#if (SDL_BYTEORDER == SDL_BIG_ENDIAN)
0xff000000, /* Red bit mask. */
0x00ff0000, /* Green bit mask. */
0x0000ff00, /* Blue bit mask. */
0x000000ff /* Alpha bit mask. */
#else
0x000000ff, /* Red bit mask. */
0x0000ff00, /* Green bit mask. */
0x00ff0000, /* Blue bit mask. */
0xff000000 /* Alpha bit mask. */
#endif
);
return surface;
}
SDLTest_SurfaceImage_t::height
int height
Definition: SDL_test_images.h:52
SDLTest_SurfaceImage_t::width
int width
Definition: SDL_test_images.h:51
surface
EGLSurface surface
Definition: eglext.h:248
SDL_Surface
A collection of pixels used in software blitting.
Definition: SDL_surface.h:69
SDL_CreateRGBSurfaceFrom
#define SDL_CreateRGBSurfaceFrom
Definition: SDL_dynapi_overrides.h:445
SDLTest_SurfaceImage_t::pixel_data
const char * pixel_data
Definition: SDL_test_images.h:54
SDL_BIG_ENDIAN
#define SDL_BIG_ENDIAN
Definition: SDL_endian.h:38
SDLTest_SurfaceImage_t::bytes_per_pixel
unsigned int bytes_per_pixel
Definition: SDL_test_images.h:53
SDLTest_imageBlitColor
static const SDLTest_SurfaceImage_t SDLTest_imageBlitColor
Definition: SDL_test_imageBlit.c:564
SDL_BYTEORDER
#define SDL_BYTEORDER
Definition: SDL_config_pandora.h:37

## Variable Documentation

## SDLTest_imageBlit

const SDLTest_SurfaceImage_t SDLTest_imageBlit

static

Definition at line 27 of file SDL_test_imageBlit.c.

## SDLTest_imageBlitAlpha

const SDLTest_SurfaceImage_t SDLTest_imageBlitAlpha

static

Definition at line 1047 of file SDL_test_imageBlit.c.

## SDLTest_imageBlitColor

const SDLTest_SurfaceImage_t SDLTest_imageBlitColor

static

Definition at line 564 of file SDL_test_imageBlit.c.